# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_set_default_name - Set the default credential cache name.

krb5_error_code krb5_cc_set_default_name(krb5_context context, const char *name)

param

  [in] context - Library context

  [in] name - Default credential cache name or NULL

retval

  - 0 Success

  - KV5M_CONTEXT Bad magic number for _krb5_context structure

return

  - Kerberos error codes

Set the default credential cache name to name for future operations using context . If name is NULL, clear any previous application-set default name and forget any cached value of the default name for context .

Calls to this function invalidate the result of any previous calls to `krb5_cc_default_name()` using context .